
public class Phi_k_w implements Comparable<Phi_k_w>{
	protected int w;
	double prob;
	/**
	 * The constructor for the random variable phi_k_w
	 * @param word_index
	 * the index of word
	 * @param probability
	 * the value attained by the random variable
	 */
	public Phi_k_w(int word_index, double probability){
		this.w = word_index;
		this.prob = probability;
	}
	/**
	 * Sort based on descending order
	 * The goal is to obtain the top words describing this topic k
	 */
	public int compareTo(Phi_k_w o){
		return -Double.compare(this.prob, o.prob);
	}
}
